package lab2;

import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JDesktopPane;
import java.awt.Rectangle;
import javax.swing.JTextField;
import javax.swing.JButton;

public class Presentacion extends JFrame {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JDesktopPane jDesktopPane = null;

	private JLabel jLabelNombre = null;

	private JLabel jLabelPassword = null;

	private JTextField jTextFieldNombre = null;

	private JTextField jTextFieldPassword = null;

	private JButton jButtonAcceder = null;

	private JLabel jLabelMensajes = null;

	/**
	 * This is the default constructor
	 */
	public Presentacion() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(475, 284);
		this.setContentPane(getJContentPane());
		this.setTitle("Este es el nivel de presentacion");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getJDesktopPane(), BorderLayout.CENTER);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jDesktopPane	
	 * 	
	 * @return javax.swing.JDesktopPane	
	 */
	private JDesktopPane getJDesktopPane() {
		if (jDesktopPane == null) {
			jLabelMensajes = new JLabel();
			jLabelMensajes.setBounds(new Rectangle(15, 211, 437, 30));
			jLabelMensajes.setText("");
			jLabelPassword = new JLabel();
			jLabelPassword.setBounds(new Rectangle(14, 90, 197, 31));
			jLabelPassword.setText("Escribe el password de usuario:");
			jLabelNombre = new JLabel();
			jLabelNombre.setBounds(new Rectangle(14, 30, 196, 31));
			jLabelNombre.setText("Escribe el nombre de usuario:");
			jDesktopPane = new JDesktopPane();
			jDesktopPane.add(jLabelNombre, null);
			jDesktopPane.add(jLabelPassword, null);
			jDesktopPane.add(getJTextFieldNombre(), null);
			jDesktopPane.add(getJTextFieldPassword(), null);
			jDesktopPane.add(getJButtonAcceder(), null);
			jDesktopPane.add(jLabelMensajes, null);
		}
		return jDesktopPane;
	}

	/**
	 * This method initializes jTextFieldNombre	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldNombre() {
		if (jTextFieldNombre == null) {
			jTextFieldNombre = new JTextField();
			jTextFieldNombre.setBounds(new Rectangle(225, 30, 226, 31));
		}
		return jTextFieldNombre;
	}

	/**
	 * This method initializes jTextFieldPassword	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldPassword() {
		if (jTextFieldPassword == null) {
			jTextFieldPassword = new JTextField();
			jTextFieldPassword.setBounds(new Rectangle(225, 90, 227, 32));
		}
		return jTextFieldPassword;
	}

	/**
	 * This method initializes jButtonAcceder	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonAcceder() {
		if (jButtonAcceder == null) {
			jButtonAcceder = new JButton();
			jButtonAcceder.setBounds(new Rectangle(120, 150, 226, 45));
			jButtonAcceder.setText("Acceder al sistema");
			jButtonAcceder.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					try{
						boolean bool = logicaNegocio.hacerLogin(jTextFieldNombre.getText(), jTextFieldPassword.getText());
						if (bool) jLabelMensajes.setText("ADELANTE");
						else jLabelMensajes.setText("Permiso denegado");
					} catch (java.lang.NullPointerException ex) {
						jLabelMensajes.setText("No hay logica de negocio: " + e.toString());
					} catch (Exception ex){
						ex.printStackTrace();
					}
				}
			});
		}
		return jButtonAcceder;
	}

	InterfaceLogicaNegocio logicaNegocio;
	
	public void setLogicaNegocio(InterfaceLogicaNegocio ln){
		logicaNegocio= ln;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
